|  | Home | Documentation | saml2__NameIDType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__NameIDType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":NameIDType is a complexType with simpleContent extension of type xs:string. More...

`#include <saml2.h>`

## Public Attributes
char * | __item
char * | Format
| Attribute "Format" of type xs:anyURI. More...
char * | SPProvidedID
| Attribute "SPProvidedID" of type xs:string. More...
char * | NameQualifier
| Attribute "NameQualifier" of type xs:string. More...
char * | SPNameQualifier
| Attribute "SPNameQualifier" of type xs:string. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":NameIDType is a complexType with simpleContent extension of type xs:string.

Note
  struct saml2__NameIDType operations:
  - saml2__NameIDType* soap_new_saml2__NameIDType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__NameIDType(struct soap*, saml2__NameIDType*) default initialize members
  - int soap_read_saml2__NameIDType(struct soap*, saml2__NameIDType*) deserialize from a source
  - int soap_write_saml2__NameIDType(struct soap*, saml2__NameIDType*) serialize to a sink
  - saml2__NameIDType* soap_dup_saml2__NameIDType(struct soap*, saml2__NameIDType* dst, saml2__NameIDType <em>src) returns deep copy of saml2__NameIDType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__NameIDType(saml2__NameIDType) deep deletes saml2__NameIDType data members, use only on dst after soap_dup_saml2__NameIDType(NULL, saml2__NameIDType *dst, saml2__NameIDType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml2__NameIDType::__item

INHERITED FROM saml2__NameIDType: __item wraps simpleContent of type xs:string.

char* saml2__NameIDType::Format

Attribute "Format" of type xs:anyURI.

Optional attribute.

char* saml2__NameIDType::NameQualifier

Attribute "NameQualifier" of type xs:string.

Optional attribute.

char* saml2__NameIDType::SPNameQualifier

Attribute "SPNameQualifier" of type xs:string.

Optional attribute.

char* saml2__NameIDType::SPProvidedID

Attribute "SPProvidedID" of type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h